com.mxgraph.util

## Class mxLightweightLabel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JLabel
        - - com.mxgraph.util.mxLightweightLabel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.SwingConstants

      public class mxLightweightLabel
      extends javax.swing.JLabel

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JLabel

      `javax.swing.JLabel.AccessibleJLabel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static mxLightweightLabel` | `sharedInstance`

    - ### Fields inherited from class javax.swing.JLabel

      `labelFor`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxLightweightLabel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `firePropertyChange(java.lang.String propertyName, boolean oldValue, boolean newValue)` Overridden for performance reasons.
    `void` | `firePropertyChange(java.lang.String propertyName, byte oldValue, byte newValue)` Overridden for performance reasons.
    `void` | `firePropertyChange(java.lang.String propertyName, char oldValue, char newValue)` Overridden for performance reasons.
    `void` | `firePropertyChange(java.lang.String propertyName, double oldValue, double newValue)` Overridden for performance reasons.
    `void` | `firePropertyChange(java.lang.String propertyName, float oldValue, float newValue)` Overridden for performance reasons.
    `void` | `firePropertyChange(java.lang.String propertyName, int oldValue, int newValue)` Overridden for performance reasons.
    `void` | `firePropertyChange(java.lang.String propertyName, long oldValue, long newValue)` Overridden for performance reasons.
    `protected void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)` Overridden for performance reasons.
    `void` | `firePropertyChange(java.lang.String propertyName, short oldValue, short newValue)` Overridden for performance reasons.
    `static mxLightweightLabel` | `getSharedInstance()`
    `void` | `repaint(long tm, int x, int y, int width, int height)` Overridden for performance reasons.
    `void` | `repaint(java.awt.Rectangle r)` Overridden for performance reasons.
    `void` | `revalidate()` Overridden for performance reasons.
    `void` | `validate()` Overridden for performance reasons.

    - ### Methods inherited from class javax.swing.JLabel

      `checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getDisplayedMnemonicIndex, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, imageUpdate, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setDisplayedMnemonicIndex, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setText, setUI, setVerticalAlignment, setVerticalTextPosition, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sharedInstance

          protected static mxLightweightLabel sharedInstance

  - ### Constructor Detail

    - #### mxLightweightLabel

          public mxLightweightLabel()

  - ### Method Detail

    - #### getSharedInstance

          public static mxLightweightLabel getSharedInstance()

    - #### validate

          public void validate()

      Overridden for performance reasons.
      Overrides:
        `validate` in class `java.awt.Container`

    - #### revalidate

          public void revalidate()

      Overridden for performance reasons.
      Overrides:
        `revalidate` in class `javax.swing.JComponent`

    - #### repaint

          public void repaint(long tm,
                     int x,
                     int y,
                     int width,
                     int height)

      Overridden for performance reasons.
      Overrides:
        `repaint` in class `javax.swing.JComponent`

    - #### repaint

          public void repaint(java.awt.Rectangle r)

      Overridden for performance reasons.
      Overrides:
        `repaint` in class `javax.swing.JComponent`

    - #### firePropertyChange

          protected void firePropertyChange(java.lang.String propertyName,
                                java.lang.Object oldValue,
                                java.lang.Object newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `java.awt.Component`

    - #### firePropertyChange

          public void firePropertyChange(java.lang.String propertyName,
                                byte oldValue,
                                byte newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `java.awt.Component`

    - #### firePropertyChange

          public void firePropertyChange(java.lang.String propertyName,
                                char oldValue,
                                char newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `javax.swing.JComponent`

    - #### firePropertyChange

          public void firePropertyChange(java.lang.String propertyName,
                                short oldValue,
                                short newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `java.awt.Component`

    - #### firePropertyChange

          public void firePropertyChange(java.lang.String propertyName,
                                int oldValue,
                                int newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `javax.swing.JComponent`

    - #### firePropertyChange

          public void firePropertyChange(java.lang.String propertyName,
                                long oldValue,
                                long newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `java.awt.Component`

    - #### firePropertyChange

          public void firePropertyChange(java.lang.String propertyName,
                                float oldValue,
                                float newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `java.awt.Component`

    - #### firePropertyChange

          public void firePropertyChange(java.lang.String propertyName,
                                double oldValue,
                                double newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `java.awt.Component`

    - #### firePropertyChange

          public void firePropertyChange(java.lang.String propertyName,
                                boolean oldValue,
                                boolean newValue)

      Overridden for performance reasons.
      Overrides:
        `firePropertyChange` in class `javax.swing.JComponent`

Copyright (c) 2010 Gaudenz Alder. All rights reserved.